Package org.kapott.hbci.manager

## Class HBCIKey

- java.lang.Object
- - org.kapott.hbci.manager.HBCIKey

All Implemented Interfaces:
  `java.io.Serializable`

    public final class HBCIKey
    extends java.lang.Object
    implements java.io.Serializable

Diese Klasse repräsentiert einen von HBCI4Javaverwendeten Schlüssel. Ein solcher HBCI-Schlüssel besteht aus administrativen Daten zu diesem Schlüssel (Besitzer, Version) sowie den eigentlichen kryptographischen Daten. Bei Verwendung von asymmetrischen Sicherheitsverfahren (RDH) werden sowohl für den öffentlichen als auch für den privaten Schlüsselteil intern je ein `HBCIKey`-Objekt verwendet! Bei einigen Sicherheitsverfahren (DDV, PinTan) werden die kryptografischen Daten nicht in diesem Objekt gespeichert, sondern nur die administrativen.

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `blz` Bankleitzahl des Schlüsselbesitzers
`java.lang.String` `country` Ländercode des Schlüsselbesitzers
`java.security.Key` `key` kryptographische Schlüsseldaten (kann `null` sein)
`java.lang.String` `num` Schlüsselnummer
`java.lang.String` `userid` Nutzerkennung des Schlüsselbesitzers.
`java.lang.String` `version` Schlüsselversion

### Constructor Summary

Constructors
`HBCIKey()` Neues `HBCIKey`-Objekt erzeugen
`HBCIKey​(java.lang.String country, java.lang.String blz, java.lang.String userid, java.lang.String num, java.lang.String version, java.security.Key key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### country

    public java.lang.String country

Ländercode des Schlüsselbesitzers

#### blz

    public java.lang.String blz

Bankleitzahl des Schlüsselbesitzers

#### userid

    public java.lang.String userid

Nutzerkennung des Schlüsselbesitzers. Wenn der Schlüssel einem "richtigen" Nutzer gehört, so wird hier seine HBCI-Userkennung eingestellt; gehört der Schlüssel der Bank, so steht hier eine bankinterne ID (u.U. die Bankleitzahl o.ä.)

#### num

    public java.lang.String num

Schlüsselnummer

#### version

    public java.lang.String version

Schlüsselversion

#### key

    public java.security.Key key

kryptographische Schlüsseldaten (kann `null` sein)

### Constructor Detail

#### HBCIKey

    public HBCIKey()

Neues `HBCIKey`-Objekt erzeugen

#### HBCIKey

    public HBCIKey​(java.lang.String country,
                   java.lang.String blz,
                   java.lang.String userid,
                   java.lang.String num,
                   java.lang.String version,
                   java.security.Key key)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`